EPPHostBase (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0503.rtk.xml.EPPHostBase class

### com.tucows.oxrs.epp0503.rtk.xml

# Class EPPHostBase

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0503.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0503.rtk.xml.EPPHostBase`

Known Direct Subclasses:
  EPPHostCheck, EPPHostCreate, EPPHostDelete, EPPHostInfo, EPPHostUpdate

`public abstract class EPPHostBase`
`extends EPPXMLBase`

Base abstract class for the Host classes. Defines common data members used by all or most Host classes.

  ## Field Summary
  `protected static Hashtable` | `host_ip_to_type_hash_` Hashtable to allow for conversion from String address type to epp_HostAddressType.
  `protected static Hashtable` | `host_status_hash_` Hashtable to allow for conversion from String host status to epp_HostStatusType.

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPHostBase()` Default constructor.
  `EPPHostBase(String xml)` Constructor with XML String Also initializes the static Hashtables.

  ## Method Summary
  `static String` | `hostAddressTypeToString(epp_HostAddressType address_type)` Convenience method to get a host address type string from an epp_HostAddressType object.
  `static epp_HostStatusType` | `hostStatusFromString(String s)` Convenience method to convert a string status to an instance of epp_HostStatusType.
  `static String` | `hostStatusToString(epp_HostStatusType status_type)` Convenience method to get a host status string from an epp_HostStatusType object.
  `static void` | `initHashes()`
  `protected static void` | `initHostIpToTypeHash()`
  `protected static void` | `initHostStatusHash()`
  `protected void` | `setCommonAttributes(Element command)` Sets the common XML attributes required for the host object (eg.

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Field Details

### host_ip_to_type_hash_

    protected static Hashtable host_ip_to_type_hash_

> Hashtable to allow for conversion from String address type to epp_HostAddressType.
> See Also:
>   `EPP IDL epp_host.idl for the definition of the epp_HostAddressType enum`

### host_status_hash_

    protected static Hashtable host_status_hash_

> Hashtable to allow for conversion from String host status to epp_HostStatusType.
> See Also:
>   `EPP IDL epp_host.idl for the definition of the epp_HostStatusType enum`

## Constructor Details

### EPPHostBase

    protected EPPHostBase()

> Default constructor. Initializes the static Hashtables.

### EPPHostBase

    protected EPPHostBase(String xml)

> Constructor with XML String Also initializes the static Hashtables.

## Method Details

### hostAddressTypeToString

    public static String hostAddressTypeToString(epp_HostAddressType address_type)

> Convenience method to get a host address type string from an epp_HostAddressType object.

### hostStatusFromString

    public static epp_HostStatusType hostStatusFromString(String s)

> Convenience method to convert a string status to an instance of epp_HostStatusType.

### hostStatusToString

    public static String hostStatusToString(epp_HostStatusType status_type)

> Convenience method to get a host status string from an epp_HostStatusType object.

### initHashes

    public static void initHashes()

> Overrides:
>   initHashes in interface EPPXMLBase

### initHostIpToTypeHash

    protected static void initHostIpToTypeHash()

### initHostStatusHash

    protected static void initHostStatusHash()

### setCommonAttributes

    protected void setCommonAttributes(Element command)

> Sets the common XML attributes required for the host object (eg. xmlns:host, xsi:schemaLocation)
> Parameters:

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS